{% extends 'layout.html.twig' %}

{% block title %}TWIM Profile - Edit settings profile{% endblock %}

{% block body_id 'desktop_edit_profile_settings' %}

{% block body %}

    {#{{ dump(user) }}#}

    <div class="card shadow p-3 mb-5 bg-white rounded">
        <div class="card-body">

            <div class="h3">{{ 'settings.label'|trans({}, 'frontends') }}</div>

            {# Upload pic modal #}
            {% include 'Desktop/UserBundle/UserSetting/Modal/_upload_picture.html.twig' %}

            {# Delete pic modal #}
            {% include 'Desktop/UserBundle/UserSetting/Modal/_delete_picture.html.twig' %}

            {# PROFILE IMAGE #}
            <div class="row mt-3">
                <div class="col">
                    {% include 'Default/_round_image_profile.html.twig' with {'w':100, 'h':100, 'user': user, 'alt':'User image'} %}
                </div>
                <div class="col">
                    <div class="clearfix float-right mt-4">
                        <button class="btn btn-primary" type="button" data-toggle="modal" data-target="#uploadPicModal">{{ 'upload.pic.label'|trans({}, 'frontends') }}</button>
                        <button class="btn btn-secondary" type="button" data-toggle="modal" data-target="#deletePicModal"
                                {{ (user.imageId is defined and user.imageId is not empty and user.imageHash is defined and user.imageHash is not empty) or (
                                user.imageSocialUrl is defined and user.imageSocialUrl is not empty) ? '' : 'disabled'}}
                        >{{ 'delete.label'|trans({}, 'frontends') }}</button>
                    </div>
                </div>
            </div>


            <form id="form-edit-settings" action="{{ url('edit_profile_settings', {'username':user.username}) }}" method="post">

                {# the argument of csrf_token() is an arbitrary value used to generate the token #}
                <input type="hidden" name="token" value="{{ csrf_token('edit_user_settings_token') }}" />

                <div class="row">
                    <div class="col">
                        <label>
                            {% if errors is defined and errors.general is defined %}
                                <span class="bsp-err-spn invalid-feedback d-block">
                                    <span class="d-block">
                                        <span class="form-error-icon badge badge-danger text-uppercase">{{ 'error'|trans() }}</span>
                                        <span class="form-error-message">
                                            {{ errors.general }}
                                        </span>
                                    </span>
                                </span>
                            {% endif %}
                        </label>
                    </div>
                </div>

                <div class="form-group mt-3">
                    <label for="setting_username" class="required">
                        <span class="text-muted">{{ 'username.label'|trans({}, 'frontends') }}</span>
                        {% if errors is defined and errors.username is defined %}
                            <span class="bsp-err-spn invalid-feedback d-block">
                                <span class="d-block">
                                    <span class="form-error-icon badge badge-danger text-uppercase">{{ 'error'|trans() }}</span>
                                    <span class="form-error-message">
                                        {{ errors.username }}
                                    </span>
                                </span>
                            </span>
                        {% endif %}
                    </label>
                    <input type="text" placeholder="i.e. Twimuser1" value="{{ posted is defined and posted.username is defined ? posted.username : (user.username is defined ? user.username) }}" id="setting_username"
                           data-username-validation="{{ url('private_username_validation') }}" data-id-error="setting_username" name="username" required="required" maxlength="180"
                           pattern=".{2,}" class="form-control check-al-exist {{ errors is defined and errors.username is defined ? 'is-invalid' }}" autofocus autocomplete="off" readonly
                           onfocus="this.removeAttribute('readonly');">
                    <div class="text-muted">
                        <small>{{ 'your.plublic.twim.url'|trans({}, 'frontends') }}<strong>{{ user.username is defined ? user.username }}</strong></small>
                    </div>
                </div>

                <div class="form-group mt-3">
                    <label for="setting_email"><span class="text-muted">{{ 'form.email'|trans({},'FOSUserBundle') }}</span>
                        {% if errors is defined and errors.email is defined %}
                            <span class="bsp-err-spn invalid-feedback d-block">
                                <span class="d-block">
                                    <span class="form-error-icon badge badge-danger text-uppercase">{{ 'error'|trans() }}</span>
                                    <span class="form-error-message">
                                        {{ errors.email }}
                                    </span>
                                </span>
                            </span>
                        {% endif %}
                    </label>
                    <input type="email" name="email" class="form-control {{ errors is defined and errors.email is defined ? 'is-invalid' }}" id="setting_email"
                           aria-describedby="emailHelp" placeholder="{{ 'email.placeholder'|trans({}, 'frontends') }}"
                           value="{{ posted is defined and posted.email is defined ? posted.email : (email is defined ? email) }}" required>
                </div>

                {# CHANGE PASSWORD  #}
                {% if user.isFromSocial is defined and user.isFromSocial == false %}
                    {% include 'Desktop/UserBundle/UserSetting/Modal/_change_password.html.twig' %}
                    <div class="form-group mt-3">
                        <label for="setting_password"><span class="text-muted">{{ 'form.password'|trans({},'FOSUserBundle') }}</span></label>
                        <div>
                            <a href="#" data-toggle="modal" data-target="#changePwdModal">{{ 'change.password.label'|trans({}, 'frontends') }}</a>
                        </div>
                    </div>
                {% endif %}


                <div class="form-group mt-3">
                    <label for="setting_genre"><span class="text-muted">{{ 'genre.label'|trans({}, 'frontends') }}</span>
                        {% if errors is defined and errors.genre is defined %}
                            <span class="bsp-err-spn invalid-feedback d-block">
                                    <span class="d-block">
                                        <span class="form-error-icon badge badge-danger text-uppercase">{{ 'error'|trans() }}</span>
                                        <span class="form-error-message">{{ errors.genre }}</span>
                                    </span>
                                </span>
                        {% endif %}
                    </label>
                    <select class="form-control {{ errors is defined and errors.genre is defined ? 'is-invalid' }}" id="setting_genre" name="genre" required>
                        <option value="">{{ 'select.genre'|trans({}, 'frontends') }}</option>
                        <option value="0" {{ posted is defined and posted.genre is defined and posted.genre == '0' ? 'selected' : (user.gender is defined and user.gender=='male' ? 'selected') }}>{{ 'male'|trans() }}</option>
                        <option value="1" {{ posted is defined and posted.genre is defined and posted.genre == '1' ? 'selected' : (user.gender is defined and user.gender=='female' ? 'selected') }}>{{ 'female'|trans() }}</option>
                    </select>
                </div>

                {# SOCIAL NETWORK #}
                <div><strong>{{ 'label.social.network'|trans({}, 'frontends') }}</strong></div>

                {# Blog #}
                <div class="form-group mt-3">
                    <label for="external_link_blog"><span class="text-muted">{{ 'blog'|trans() }}</span>
                        {% if errors is defined and errors.extlink_blog is defined %}
                            <span class="bsp-err-spn invalid-feedback d-block">
                                <span class="d-block">
                                    <span class="form-error-icon badge badge-danger text-uppercase">{{ 'error'|trans() }}</span>
                                    <span class="form-error-message">{{ errors.extlink_blog }}</span>
                                </span>
                            </span>
                        {% endif %}
                    </label>
                    <input type="text" name="external_links[blog]" class="form-control {{ errors is defined and errors.extlink_blog is defined ? 'is-invalid' }}" id="external_link_blog"
                           placeholder="{{ 'enter.blog.url'|trans({}, 'frontends') }}" value="{{ posted is defined and posted.externalLinks.blog is defined ? posted.externalLinks.blog : (user.externalLinks.blog is defined ? user.externalLinks.blog) }}">
                </div>

                <div class="row">
                    <div class="col">
                        {# Facebook #}
                        <div class="form-group mt-3">
                            <label for="external_link_facebook"><span class="text-muted">{{ 'facebook'|trans() }}</span>
                                {% if errors is defined and errors.extlink_facebook is defined %}
                                    <span class="bsp-err-spn invalid-feedback d-block">
                                        <span class="d-block">
                                            <span class="form-error-icon badge badge-danger text-uppercase">{{ 'error'|trans() }}</span>
                                            <span class="form-error-message">{{ errors.extlink_facebook }}</span>
                                        </span>
                                    </span>
                                {% endif %}
                            </label>
                            <input type="text" name="external_links[facebook]" data-link-type="facebook" class="inp-preview form-control {{ errors is defined and errors.extlink_facebook is defined ? 'is-invalid' }}" id="external_link_facebook"
                                placeholder="{{ 'enter.facebook.account.placeholder'|trans({}, 'frontends') }}"
                                value="{{ posted is defined and posted.externalLinks.facebook is defined ? posted.externalLinks.facebook : (user.externalLinks.facebook is defined ? user.externalLinks.facebook) }}">
                            <div class="text-muted"><small>{{ 'preview.facebook.account'|trans({}, 'frontends') }}<strong><span id="preview_facebook">{{ posted is defined and posted.externalLinks.facebook is defined ? posted.externalLinks.facebook : (user.externalLinks.facebook is defined ? user.externalLinks.facebook) }}</span></strong>" </small></div>
                        </div>
                    </div>

                    <div class="col">
                        {# Instagram #}
                        <div class="form-group mt-3">
                            <label for="external_link_instagram"><span class="text-muted">{{ 'instagram'|trans() }}</span>
                                {% if errors is defined and errors.extlink_instagram is defined %}
                                    <span class="bsp-err-spn invalid-feedback d-block">
                                        <span class="d-block">
                                            <span class="form-error-icon badge badge-danger text-uppercase">{{ 'error'|trans() }}</span>
                                            <span class="form-error-message">{{ errors.extlink_instagram }}</span>
                                        </span>
                                    </span>
                                {% endif %}
                            </label>
                            <input type="text" name="external_links[instagram]" data-link-type="instagram" class="inp-preview form-control {{ errors is defined and errors.extlink_instagram is defined ? 'is-invalid' }}" id="external_link_instagram"
                                placeholder="{{ 'enter.instagram.account.placeholder'|trans({}, 'frontends') }}"
                                value="{{ posted is defined and posted.externalLinks.instagram is defined ? posted.externalLinks.instagram : (user.externalLinks.instagram is defined ? user.externalLinks.instagram) }}">
                            <div class="text-muted"><small>{{ 'preview.instagram.account'|trans({}, 'frontends') }}<strong><span id="preview_instagram">{{ posted is defined and posted.externalLinks.instagram is defined ? posted.externalLinks.instagram : (user.externalLinks.instagram is defined ? user.externalLinks.instagram) }}</span></strong>" </small></div>
                        </div>
                    </div>
                </div>

                <div class="row">
                    <div class="col">
                        {# Twitter #}
                        <div class="form-group mt-3">
                            <label for="external_link_twitter"><span class="text-muted">{{ 'twitter'|trans() }}</span>
                                {% if errors is defined and errors.extlink_twitter is defined %}
                                    <span class="bsp-err-spn invalid-feedback d-block">
                                        <span class="d-block">
                                            <span class="form-error-icon badge badge-danger text-uppercase">{{ 'error'|trans() }}</span>
                                            <span class="form-error-message">{{ errors.extlink_twitter }}</span>
                                        </span>
                                    </span>
                                {% endif %}
                            </label>
                            <input type="text" name="external_links[twitter]" data-link-type="twitter" class="inp-preview form-control {{ errors is defined and errors.extlink_twitter is defined ? 'is-invalid' }}" id="external_link_twitter"
                                placeholder="{{ 'enter.twitter.account.placeholder'|trans({}, 'frontends') }}"
                                value="{{ posted is defined and posted.externalLinks.twitter is defined ? posted.externalLinks.twitter : (user.externalLinks.twitter is defined ? user.externalLinks.twitter) }}">
                            <div class="text-muted"><small>{{ 'preview.twitter.account'|trans({}, 'frontends') }}<strong><span id="preview_twitter">{{ posted is defined and posted.externalLinks.twitter is defined ? posted.externalLinks.twitter : (user.externalLinks.twitter is defined ? user.externalLinks.twitter) }}</span></strong>" </small></div>
                        </div>
                    </div>

                    <div class="col">

                        {# Youtube #}
                        <div class="form-group mt-3">
                            <label for="external_link_youtube"><span class="text-muted">{{ 'youtube'|trans() }}</span>
                                {% if errors is defined and errors.extlink_youtube is defined %}
                                    <span class="bsp-err-spn invalid-feedback d-block">
                                        <span class="d-block">
                                            <span class="form-error-icon badge badge-danger text-uppercase">{{ 'error'|trans() }}</span>
                                            <span class="form-error-message">{{ errors.extlink_youtube }}</span>
                                        </span>
                                    </span>
                                {% endif %}
                            </label>
                            <input type="text" name="external_links[youtube]" data-link-type="youtube" class="inp-preview form-control {{ errors is defined and errors.extlink_youtube is defined ? 'is-invalid' }}" id="external_link_youtube"
                                placeholder="{{ 'enter.youtube.account.placeholder'|trans({}, 'frontends') }}"
                                value="{{ posted is defined and posted.externalLinks.youtube is defined ? posted.externalLinks.youtube : (user.externalLinks.youtube is defined ? user.externalLinks.youtube) }}">
                            <div class="text-muted"><small>{{ 'preview.youtube.account'|trans({}, 'frontends') }}<strong><span id="preview_youtube">{{ posted is defined and posted.externalLinks.youtube is defined ? posted.externalLinks.youtube : (user.externalLinks.youtube is defined ? user.externalLinks.youtube) }}</span></strong>" </small></div>
                        </div>
                    </div>
                </div>


                {# Addresses #}

                {% include 'Desktop/UserBundle/ShippingAddress/Modal/_manage.html.twig' %}
                {% include 'Desktop/UserBundle/ShippingAddress/Modal/_delete.html.twig' %}
                {% include 'Desktop/UserBundle/ShippingAddress/Modal/_save.html.twig' %}

                <div><strong>{{ 'label.addresses'|trans({}, 'frontends') }}</strong></div>
                <a class="text-primary cls-pointer-effect link-create-address-modal" data-toggle="modal" data-target="#manageAddressesModal">
                    {{ 'manage.addresses.title'|trans({}, 'frontends') }}
                </a>


                {# Location #}
                <div><strong>{{ 'label.location'|trans({}, 'frontends') }}</strong></div>

                <div class="form-group mt-3">
                    <label for="setting_timezone"><span class="text-muted">{{ 'timezone.label'|trans({}, 'frontends') }}</span>
                        {% if errors is defined and errors.timezone is defined %}
                            <span class="bsp-err-spn invalid-feedback d-block">
                                    <span class="d-block">
                                        <span class="form-error-icon badge badge-danger text-uppercase">{{ 'error'|trans() }}</span>
                                        <span class="form-error-message">{{ errors.timezone }}</span>
                                    </span>
                                </span>
                        {% endif %}
                    </label>
                    <select class="form-control {{ errors is defined and errors.timezone is defined ? 'is-invalid' }}" id="setting_timezone" name="timezone" required>
                        <option value="">{{ 'select.timezone'|trans({}, 'frontends') }}</option>
                        {% if listTimezone is defined and listTimezone is not empty %}
                            {% for id,timezone in listTimezone %}
                                <option value="{{ id }}" {{ posted is defined and posted.timezoneId is defined and posted.timezoneId == id ? 'selected' : (user.timezoneId is defined and user.timezoneId == id ? 'selected') }}>{{ timezone }}</option>
                            {% endfor %}
                        {% endif %}
                    </select>
                </div>

                <div class="form-group mt-3">
                    <label for="setting_language"><span class="text-muted">{{ 'language.label'|trans({}, 'frontends') }}</span>
                        {% if errors is defined and errors.language is defined %}
                            <span class="bsp-err-spn invalid-feedback d-block">
                                    <span class="d-block">
                                        <span class="form-error-icon badge badge-danger text-uppercase">{{ 'error'|trans() }}</span>
                                        <span class="form-error-message">{{ errors.language }}</span>
                                    </span>
                                </span>
                        {% endif %}
                    </label>
                    <select class="form-control {{ errors is defined and errors.language is defined ? 'is-invalid' }}" id="setting_language" name="language" required>
                        <option value="it_IT" {{ posted is defined and posted.language is defined and posted.language == 'it_IT' ? 'selected' : (user.language is defined and user.language=='it_IT' ? 'selected') }}>{{ 'italian.language'|trans({}, 'frontends') }}</option>
                        <option value="en_GB" {{ posted is defined and posted.language is defined and posted.language == 'en_GB' ? 'selected' : (user.language is defined and user.language=='en_GB' ? 'selected') }}>{{ 'english.language'|trans({}, 'frontends') }}</option>
                    </select>
                </div>

                {% if settings is defined and settings is not empty %}
                    <div>
                        {% if errors is defined and errors.settings is defined %}
                            <label>
                                <span class="bsp-err-spn invalid-feedback d-block">
                                    <span class="d-block">
                                        <span class="form-error-icon badge badge-danger text-uppercase">{{ 'error'|trans() }}</span>
                                        <span class="form-error-message">{{ errors.settings }}</span>
                                    </span>
                                </span>
                            </label>
                        {% endif %}

                        {% for settingSource,settingDetails in settings %}

                            <label class="form-check-label text-muted mt-3">{{ settingSource|trans({}, 'frontends')|raw }}</label>

                            {% for setting in settingDetails %}

                                <div class="form-check">
                                    <input id="set_user_{{ setting.id }}" class="form-check-input {{ errors is defined and errors.settings is defined ? 'is-invalid' }}" type="checkbox" value=""
                                           name="settings[{{ setting.id }}]" {{ posted is defined and posted.settingChecks is defined and setting.id in posted.settingChecks ? 'checked' : (user.settingIds is defined and setting.id in user.settingIds ? 'checked') }} >
                                    <label for="set_user_{{ setting.id }}" class="form-check-label">{{ setting.source|trans({}, 'frontends') }}</label>
                                </div>

                            {% endfor %}
                        {% endfor %}
                    </div>
                {% endif %}


                <div class="mt-5">

                    {# Delete account modal #}
                    {% include 'Desktop/UserBundle/UserSetting/Modal/_delete_account.html.twig' %}
                    {#<button type="button" id="btn-modal-delete-account" class="btn btn-outline-dark btn-lg" data-is-social="{{ user.isFromSocial is defined and user.isFromSocial ? 'y':'n' }}" data-toggle="modal" data-target="#deleteAccountModal">
                        <strong>{{ 'delete.account.label'|trans({}, 'frontends') }}</strong>
                    </button>#}
                    <div id="btn-modal-delete-account" class="text-danger cls-pointer-effect" data-is-social="{{ user.isFromSocial is defined and user.isFromSocial ? 'y':'n' }}" data-toggle="modal" data-target="#deleteAccountModal">
                        <strong>{{ 'delete.account.label'|trans({}, 'frontends') }}</strong>
                    </div>

                    <div class="clearfix float-right">
                        <a href="{{ url('show_private_profile') }}" role="button" class="btn btn-secondary btn-lg">{{ 'cancel.label'|trans({}, 'frontends') }}</a>
                        <button type="submit" class="btn btn-primary btn-lg">{{ 'save.changes.label'|trans({}, 'frontends') }}</button>
                    </div>
                </div>


            </form>

        </div>
    </div>

{% endblock %}


{% block stylesheets %}
    <link rel="stylesheet" href="{{ asset('build/js/setting.css') }}">
{% endblock %}

{% block javascripts %}
    <script src="{{ asset('build/js/setting.js') }}"></script>
    <script src="{{ asset('build/js/addresses.js') }}"></script>
{% endblock %}